Name:          spring
Version:       106.0
Release:       1mamba
Summary:       A project aiming to create a new and versatile RTS Engine
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://springrts.com/
Source:        https://springrts.com/dl/buildbot/default/master/%{version}/source/spring_%{version}_src.tar.gz
#Source:        https://github.com/spring/spring.git/%{version}/spring-%{version}_src.tar.bz2
Patch0:        spring-106.0-gcc-12.patch
Patch1:        spring-106.0-gcc-13.patch
Patch2:        spring-106.0-fix-doc-install.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libcurl-devel
BuildRequires: libdevil-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libgperftools-devel
BuildRequires: libjsoncpp-devel
BuildRequires: libminizip1-devel
BuildRequires: libogg-devel
BuildRequires: libopenal-devel
BuildRequires: libstdc++6-devel
BuildRequires: libunwind-devel
BuildRequires: libvorbis-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libboost-devel >= 1.55
Provides:      springrts
Obsoletes:     springrts < 104

%description
Spring is a project aiming to create a new and versatile RTS Engine. 

%debug_package

%prep
%setup -q -n spring_%{version}
%patch 0 -p1 -b .gcc-12
%patch 1 -p1 -b .gcc-13
%patch 2 -p1

#remove bundled libraries
rm -r tools/pr-downloader/src/lib/jsoncpp
rm -r tools/pr-downloader/src/lib/minizip

%build
%cmake -d build \
   -DLIBDIR=%{_lib} \
   -DPRD_JSONCPP_INTERNAL=OFF

make %{_smp_mflags}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mapcompile
%{_bindir}/mapdecompile
%{_bindir}/spring
%{_bindir}/spring-dedicated
%{_bindir}/spring-headless
%{_bindir}/pr-downloader
%{_libdir}/libunitsync.so
%dir %{_datadir}/games/spring
%{_datadir}/games/spring/*
%{_datadir}/applications/spring.desktop
%{_datadir}/mime/packages/spring.xml
%{_datadir}/pixmaps/*.png
%{_mandir}/man6/spring-dedicated.6*
%{_mandir}/man6/spring-headless.6*
%{_mandir}/man6/spring.6*

%changelog
* Mon Nov 18 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 106.0-1mamba
- update to 106.0

* Mon Oct 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 104.0-2mamba
- rebuilt without apache-maven3 build requirement

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 104.0-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 103.0-1mamba
- automatic version update by autodist

* Sat Jul 16 2016 Automatic Build System <autodist@mambasoft.it> 102.0-1mamba
- automatic version update by autodist

* Sun Mar 27 2016 Automatic Build System <autodist@mambasoft.it> 101.0-1mamba
- automatic version update by autodist

* Tue Dec 29 2015 Automatic Build System <autodist@mambasoft.it> 100.0-1mamba
- automatic version update by autodist

* Sat Dec 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 95.0-1mamba
- update to 95.0
- renamed from springrts

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 94.1-2mamba
- rebuilt with boost 1.55

* Sun Jul 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 94.1-1mamba
- update to 94.1

* Mon Mar 26 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 88.0-1mamba
- update to 88.0

* Fri Nov 25 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 84.0-1mamba
- update to 84.0

* Sun Mar 27 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.82.7.1-2mamba
- renamed package from spring to springrts to avoid conflict with Java Spring package

* Sun Mar 27 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.82.7.1-1mamba
- package created with autospec
